Class UmlBaseAcceptCallAction

Declaration :

- C++ : class UmlBaseAcceptCallAction : public UmlActivityAction
- Java : package abstract class UmlBaseAcceptCallAction extends UmlActivityAction

Directly inherited by : UmlAcceptCallAction

Artifact : UmlBaseActivityActionClasses

Operation create

returns a new accept call action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlAcceptCallAction, exceptions : RuntimeException
- C++ : public: static UmlAcceptCallAction * create(UmlItem * parent, const char * s)
- Java : public static UmlAcceptCallAction create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseAcceptCallAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseAcceptCallAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseAcceptCallAction(void * id, const QCString & s) : UmlActivityAction(id, s)
- Java : protected UmlBaseAcceptCallAction(long id, String s)

Operation trigger

return the trigger

Declaration :

- Uml : + trigger() : string
- C++ : public: const QCString & trigger()
- Java : public String trigger()

Operation set_Trigger

set the trigger
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Trigger(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Trigger(const char * v)
- Java : public void set_Trigger(String v) throws RuntimeException

Operation cppTrigger

return the trigger in C++

Declaration :

- Uml : + cppTrigger() : string
- C++ : public: const QCString & cppTrigger()
- Java : public String cppTrigger()

Operation set_CppTrigger

set the trigger in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppTrigger(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppTrigger(const char * v)
- Java : public void set_CppTrigger(String v) throws RuntimeException

Operation javaTrigger

return the trigger in Java

Declaration :

- Uml : + javaTrigger() : string
- C++ : public: const QCString & javaTrigger()
- Java : public String javaTrigger()

Operation set_JavaTrigger

set the trigger in Java
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaTrigger(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaTrigger(const char * v)
- Java : public void set_JavaTrigger(String v) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribute _trigger

Declaration :

- Uml : - _trigger : string
- C++ : private: QCString _trigger
- Java : private String _trigger

Attribute _cpp_trigger

Declaration :

- Uml : - _cpp_trigger : string
- C++ : private: QCString _cpp_trigger
- Java : private String _cpp_trigger

Attribute _java_trigger

Declaration :

- Uml : - _java_trigger : string
- C++ : private: QCString _java_trigger
- Java : private String _java_trigger

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , constraint , cppPostCondition , cppPreCondition , cppTrigger , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , javaTrigger , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Constraint , set_CppPostCondition , set_CppPreCondition , set_CppTrigger , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_JavaTrigger , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , set_Trigger , stereotype , supportFile , trigger , unload , unload , unload